Subject: bug#59674: 28.2; icomplete-force-complete Incorrectly Completes Filename Case

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Nov 2022 15:28:43 +0200

> From: Cameron Norton <[email-masked]>
> Date: Mon, 28 Nov 2022 19:55:06 -0800
> 
> 
> Using icomplete, I often navigate to certain files by using a single
> character for each component of the path name before completing with
> icomplete-force-complete, which I have bound to <tab> while in the
> minibuffer. So a file
> 
> ./foo/bar/baz/asdf.txt
> 
> would be visited via the sequence
> 
> C-x C-f f/b/b/a <tab> <return>
> 
> Using icomplete-force-complete this way emulates the <tab> behavior in
> completion packages like Vertico without the extra dependency.
> 
> However, with completion case sensitivity disabled, this sometimes
> results in the file's path being completed incorrectly with regards to
> capitalization. This is very noticeable when finding files in the usual
> subdirectories of $HOME, with ~/doc <tab> completing to ~/documents/
> rather than ~/Documents/, for example.

I cannot reproduce what you describe.  I see a completely different
behavior: as soon as I type ~/d/m M-C-i, ~/Documents disappears from the
completions, and I see only ~/dir/moo ("dir" is another directory I have
under my home directory).

So I'm not sure why you see what you see: perhaps there's some step missing
in the recipe?